Bug 13664 - Не добавляются в локальный sdp-сервер запущенные сервисы
: Не добавляются в локальный sdp-сервер запущенные сервисы
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/bluez-utils)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-12-11 19:10 by
Modified: 2008-03-08 19:20 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-12-11 19:10:14
~$ rpm -qa|grep bluez
libbluez-devel-3.20-alt1
bluez-utils-3.20-alt1
libbluez-3.20-alt1
bluez-test-3.20-alt1

Когда ставлю в /etc/sysconfig/bluetooth
PAND_ENABLE=true
PAND_OPTIONS="--listen --role NAP"

то pand запускается и работает нормально. Однако, несмотря на данную команду
"hciconfig hci0 piscan" Windows Vista в своём "обзоре" Bluetooth-устройств всё
равно не видит у машины с Сизифом никаких сервисов (саму машину видит).
Выясняется, что сервисы голубого зуба просто не анонсируются локальным
sdp-сервисом (который с некоторого времени встроен в hcid и HCID_ENABLE на него
уже не влияет) наружу. Т.е., если выполнить после поднятия pand команду "sdptool
add NAP" (в моём случае) то сервис NAP начинает замечательно видеться Visto-ой.

Что я предлагаю: в какой-то момент (тут уж просто не знаю где - в инитскрипте
ли, в скрипте, вызывающемся из udev, и там и там или даже ещё где-то)
анализировать /etc/sysconfig/bluetooth и в зависимости от конфига вызывать
sdptool add. Так, например, если установлена PAND_ENABLE и PAND_OPTIONS содержит
"--role" (но не содержит --nosdp) то нужно вызывать sdptool add с тем же
аргументом, что передаётся --role. Но это просто пример.
------- Comment #1 From 2007-12-11 23:48:51 -------
В апстрим.
------- Comment #2 From 2007-12-26 00:29:48 -------
WONTFIX